// Code generated by MockGen. DO NOT EDIT.
// Source: github.com/xescugc/smf/interops/post (interfaces: Repository)

// Package mock is a generated GoMock package.
package mock

import (
	context "context"
	gomock "github.com/golang/mock/gomock"
	post "github.com/xescugc/smf/interops/post"
	weight "github.com/xescugc/smf/interops/weight"
	reflect "reflect"
	time "time"
)

// PostRepository is a mock of Repository interface
type PostRepository struct {
	ctrl     *gomock.Controller
	recorder *PostRepositoryMockRecorder
}

// PostRepositoryMockRecorder is the mock recorder for PostRepository
type PostRepositoryMockRecorder struct {
	mock *PostRepository
}

// NewPostRepository creates a new mock instance
func NewPostRepository(ctrl *gomock.Controller) *PostRepository {
	mock := &PostRepository{ctrl: ctrl}
	mock.recorder = &PostRepositoryMockRecorder{mock}
	return mock
}

// EXPECT returns an object that allows the caller to indicate expected use
func (m *PostRepository) EXPECT() *PostRepositoryMockRecorder {
	return m.recorder
}

// Create mocks base method
func (m *PostRepository) Create(arg0 context.Context, arg1 int, arg2 post.Post) (int, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Create", arg0, arg1, arg2)
	ret0, _ := ret[0].(int)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Create indicates an expected call of Create
func (mr *PostRepositoryMockRecorder) Create(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Create", reflect.TypeOf((*PostRepository)(nil).Create), arg0, arg1, arg2)
}

// Delete mocks base method
func (m *PostRepository) Delete(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Delete", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// Delete indicates an expected call of Delete
func (mr *PostRepositoryMockRecorder) Delete(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Delete", reflect.TypeOf((*PostRepository)(nil).Delete), arg0, arg1)
}

// DeleteByChannelID mocks base method
func (m *PostRepository) DeleteByChannelID(arg0 context.Context, arg1 int) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteByChannelID", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteByChannelID indicates an expected call of DeleteByChannelID
func (mr *PostRepositoryMockRecorder) DeleteByChannelID(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteByChannelID", reflect.TypeOf((*PostRepository)(nil).DeleteByChannelID), arg0, arg1)
}

// DeleteOlderThan mocks base method
func (m *PostRepository) DeleteOlderThan(arg0 context.Context, arg1 time.Time) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "DeleteOlderThan", arg0, arg1)
	ret0, _ := ret[0].(error)
	return ret0
}

// DeleteOlderThan indicates an expected call of DeleteOlderThan
func (mr *PostRepositoryMockRecorder) DeleteOlderThan(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "DeleteOlderThan", reflect.TypeOf((*PostRepository)(nil).DeleteOlderThan), arg0, arg1)
}

// Filter mocks base method
func (m *PostRepository) Filter(arg0 context.Context) ([]*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Filter", arg0)
	ret0, _ := ret[0].([]*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Filter indicates an expected call of Filter
func (mr *PostRepositoryMockRecorder) Filter(arg0 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Filter", reflect.TypeOf((*PostRepository)(nil).Filter), arg0)
}

// FilterBySystems mocks base method
func (m *PostRepository) FilterBySystems(arg0 context.Context, arg1 []*weight.Weight) ([]*post.WithChannel, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FilterBySystems", arg0, arg1)
	ret0, _ := ret[0].([]*post.WithChannel)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FilterBySystems indicates an expected call of FilterBySystems
func (mr *PostRepositoryMockRecorder) FilterBySystems(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FilterBySystems", reflect.TypeOf((*PostRepository)(nil).FilterBySystems), arg0, arg1)
}

// Find mocks base method
func (m *PostRepository) Find(arg0 context.Context, arg1 int) (*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Find", arg0, arg1)
	ret0, _ := ret[0].(*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// Find indicates an expected call of Find
func (mr *PostRepositoryMockRecorder) Find(arg0, arg1 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Find", reflect.TypeOf((*PostRepository)(nil).Find), arg0, arg1)
}

// FindBySourceID mocks base method
func (m *PostRepository) FindBySourceID(arg0 context.Context, arg1 int, arg2 string) (*post.Post, error) {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "FindBySourceID", arg0, arg1, arg2)
	ret0, _ := ret[0].(*post.Post)
	ret1, _ := ret[1].(error)
	return ret0, ret1
}

// FindBySourceID indicates an expected call of FindBySourceID
func (mr *PostRepositoryMockRecorder) FindBySourceID(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "FindBySourceID", reflect.TypeOf((*PostRepository)(nil).FindBySourceID), arg0, arg1, arg2)
}

// Update mocks base method
func (m *PostRepository) Update(arg0 context.Context, arg1 int, arg2 post.Post) error {
	m.ctrl.T.Helper()
	ret := m.ctrl.Call(m, "Update", arg0, arg1, arg2)
	ret0, _ := ret[0].(error)
	return ret0
}

// Update indicates an expected call of Update
func (mr *PostRepositoryMockRecorder) Update(arg0, arg1, arg2 interface{}) *gomock.Call {
	mr.mock.ctrl.T.Helper()
	return mr.mock.ctrl.RecordCallWithMethodType(mr.mock, "Update", reflect.TypeOf((*PostRepository)(nil).Update), arg0, arg1, arg2)
}
